Issue 125065 - FillStyle controls in Toolbar 'Drawing Object Properties' do not update correctly in Writer and Calc
Summary: FillStyle controls in Toolbar 'Drawing Object Properties' do not update corre...
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: 4.1.0
Hardware: All All
: P3 Normal (vote)
Target Milestone: ---
Assignee: Armin Le Grand
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-06 09:21 UTC by Armin Le Grand
Modified: 2017-05-20 10:35 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
First iteration to get this done (55.82 KB, text/plain)
2014-06-06 17:09 UTC, Armin Le Grand
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Armin Le Grand 2014-06-06 09:21:35 UTC
- open Writer or calc
- Draw a shape (ellipse)
- deselect
- select
-> FillStyle control in Toolbar 'Drawing Object Properties' does not show fill color

Similar effects with other combinations, but all okay in Draw/Impress.
Comment 1 Armin Le Grand 2014-06-06 09:21:53 UTC
Grepping, investigating...
Comment 2 Armin Le Grand 2014-06-06 17:09:32 UTC
Created attachment 83514 [details]
First iteration to get this done

Lot of hassle, not only the described one. I am on a good way and will add the path now. Not ready (!), will need some more care probably...
Comment 3 Armin Le Grand 2014-06-16 11:21:59 UTC
Okay, I think I have all critical paths covered.
- in Calc/Writer, deselect all, newly select draw object
- start user action by changing style, then doing something different
- reduced Undos to one where possible

Checked in all apps, preparing commit
Comment 4 Armin Le Grand 2014-06-16 11:23:27 UTC
Okay, done.
Comment 5 SVN Robot 2014-06-16 11:26:36 UTC
"alg" committed SVN revision 1602847 into trunk:
i125065 handle critical cases in FillStyle/FillProperties toobar combination